MoreAmp CHANGES log
---------------------------------------------------------------------------
0.1.29
1. Audio input and output device selection was added.
2. The flac lib was updated to 1.3.0 (was 1.2.1).
3. The portaudio lib was updated to pa_stable_v19_20140130.
4. The SoundTouch effect now uses the lib soundtouch-1.8.0 as released.
5. A "high quality" pitch/tempo/speed effect was added (libsbsms-2.0.2).
6. Files with ".raw" extension can now be created and played (raw PCM
   16-bit signed little-endian, 2-channel interlaced, 44100).
7. VC6 is no longer supported, now only using VC++ Express 2008.
8. MoreAmp version is not "Beta" anymore.
9. Docs were updated.
---------------------------------------------------------------------------

Beta 0.1.28
1. The prompt for a songlist index no longer disables the keyboard.
2. A makeybindings.txt file format error was fixed.
3. The lame mp3 encoder was updated to lame-3.99.5 (was 3.98.4).
---------------------------------------------------------------------------

Beta 0.1.27b
This is a fix release of 0.1.27 to fix some wx config issues.
1. wx builds now allow linking with shared libs on mac and unix.
2. wxWidgets version 2.9.2 is now also supported.
3. Docs were updated.
---------------------------------------------------------------------------

Beta 0.1.27
1. Unicode UTF-8 encoding is now used for playlists, catalogs, keybindings,
   error log, README, etc.
2. A short "Unicode UTF-8 encoded files" section was added to the README.
3. Unix GTK1 and wxGTK1 builds are no longer supported.
4. wxWidgets version 2.8.12 is now supported. 2.6 is no longer supported.
5. Mac PPC builds are no longer supported.
6. Some checkboxes were moved from the main window to Advanced Settings.
7. A play button was added to the catalog viewer.
8. The effects 'low quality tempo' and 'no anti aliasing filter' options
   were removed.
9. Error-logging of non-playable files when making playlists is now an
   advanced menu option, off by default.
10. An option to exit the program after the playlist has played was added.
11. Some code was refactored.
12. A 'TextView' source code module and a --with-textviewer configure
    option were added.
13. The autostart option is no longer disabled in nogui builds.
14. Some compiler warnings were fixed.
15. "Playlist" instead of "Songlist" is now used in the menus, messages,
    docs, and directory names.
16. Button positions were adjusted for Windows 7.
17. The portaudio lib was updated with pa_stable_v19_20140130.
18. The unix cd reader libs were updated with cdparanoia-III-10.2.
19. The aac/mp4 libs were updated to faac-1.2.8 (was 1.2.6) and
    faad2-2.7 (was 2.6.1).
20. A win build dependency on MS DirectX SDK and dsound.lib was removed.
21. Docs were updated.
---------------------------------------------------------------------------

Beta 0.1.26
1. A potential buffer overflow issue when reading an invalid songlist
   (.maf file) was fixed.
2. File paths longer than the max of 259 now log an error.
3. Docs were updated.
---------------------------------------------------------------------------

Beta 0.1.25
1. Catalog files now show their creation date and time.
2. The Make Catalog menu item is no longer disabled while playing.
3. The Mem mode now works in Windows 7 64-bit systems.
4. The lame mp3 encoder was updated to lame-398-4 (was 398-2).
5. The ogg libs were updated to libogg-1.2.0 and libvorbis-1.3.1.
6. The portaudio lib was updated with pa_snapshot_v19.tar.gz (20100529).
7. wxWidgets-2.8.11 (ansi, not Unicode) builds were tested on Intel OS X
   10.4 and 10.6; on XP and Windows7 pc; and on Ubuntu 10.04 in VMware.
8. wxWidgets-2.8.8 (ansi, not Unicode) build was tested on Ubuntu 8.04
   in VMware.
9. Unix gtk+-2.20.1 builds were tested on Intel OS X 10.4 and 10.6 using
   gcc-4.0.1; and on on Ubuntu 10.04 using gcc-4.4.3 and
   libcdparanoia-dev 3.10.2+debian-9, in VMWare.
10. Unix gtk+-2.12.11 build was tested on Ubuntu 8.04 using gcc-4.2.3,
    in VMware.
11. Mac metadata files (._*) are now excluded from the src.tar archive.
12. Docs were updated.
---------------------------------------------------------------------------

Beta 0.1.24b
This is a fix release of 0.1.24 to fix a MP4 playback problem on OSX intel.
1. The src package was fixed to use the intel (instead of ppc) version of
   include file libs/faac/config.h for intel builds. 
2. The two OSX intel binaries have been rebuilt.

---------------------------------------------------------------------------

Beta 0.1.24
1. OS9 support has been removed.
2. OSX pbproj files have been removed.
3. Mac SoundManager audio support has been removed.
4. lame mp3 encoder was updated to lame-398-2 (was 398-0).
5. An error message on OSX Native gui when pressing Next was fixed.
6. wx builds were tested with wxWidgets-2.8.10 wxMac, wxGTK (1 and 2), and
   wxMSW.
7. A menu item was added to copy settings from another songlist.
8. Unix gtk builds were tested with gtk+-2.16.1.
9. OSX binaries built on 10.4 were tested on 10.6 intel (SnowLeopard).
10. OSX building was tested on 10.6 intel using gcc/g++ 4.0.1 (not 4.2).
11. OSX building was tested on 10.6 intel using XCode 3.2.
12. The ogg libs were updated to libogg-1.1.4 and libvorbis-1.2.3.
13. Docs were updated.
---------------------------------------------------------------------------

Beta 0.1.23
1. The system audio input (line-in or microphone) is now enabled on
   Portaudio builds and there is now an Audio In menu item (except OS9).
2. Portaudio is now the default audio lib on all platforms (except OS9).
3. The Unix and Mac portaudio lib included has Jack i/o enabled.
4. The left and right channels can now optionally be equalized separately,
   via a second equalizer window.
5. The Windows build projects have been updated for both VC6 and Visual
   Studio 2008 and now include all the libs (codecs etc except wxWidgets).
6. wx builds were tested with wxWidgets-2.8.9 wxMac, wxGTK (1 and 2), and
   wxMSW.
7. Support for building with wxWidgets-2.4.2 is now only supported on OS9.
8. This is the last release to support OS9.
9. Entries in m3u files for dirs and for other m3u files are now processed.
10. The View Log and Clear Log menus items are now disabled when no errors
    have been logged.
11. There is now an "Add mode" option to keep previous entries in the
    madrop list when dropping files on the player.
12. Dropping files on the player now starts it only if the autostart
    option is set in the madrop songlist.
13. A 'Delete Songlist' menu item was added.
14. On Unix and OSX the path to the user's home dir obtained from $HOME is
    now resolved to a full path if it is a symlink.
15. A dependency on shared libexpat was removed from OSX wx builds.
16. A dependency on shared libiconv was removed from OSX wx builds.
17. A dependency on dsound.lib and the DirectX SDK was removed from win
    builds.
18. Docs were updated.

---------------------------------------------------------------------------

Beta 0.1.22

1. On wx builds, input to the Equalizer Preset name field is no longer
   treated as keyboard shortcuts (this got broken in the last release).
2. Starting a song from the loaded list window when SinglePlay is set now
   works as expected.
3. ADTS for writing aac files is now the default in factory settings.
4. WMA files now play correctly at bitrates greater than 128k.
5. The output latency was reduced for win builds (3 instead of 8 buffer 
   blocks).
6. Mousewheel volume control failing in wx win builds when the Output
   or Buffer droplist has focus and is disabled was fixed.
7. When creating ogg files if the nominal bitrate is set too high it is
   now adjusted down instead of causing an error.
8. The FLAC lib was updated to flac-1.2.1 (was 1.1.2).
9. The mp3 ecnoding lib was updated to lame-3.99 (was 3.97b3).
10. The aac/mp4 libs were updated to faac-1.2.6 (was 1.2.5) and
    faad2-2.6.1 (was 2.5).
11. Some gcc-4.2 and gcc-4.3 warnings were fixed.
12. wx builds were tested with wxWidgets-2.8.8 wxMac, wxGTK (1 and 2),
    and wxMSW.
13. Unix builds were tested on Ubuntu 7.10 and 8.04.
14. Unix gtk builds were tested with gtk+-2.12.11.
15. The menu and list font sizes and gtkrc file were fixed for unix
    gtk1 builds.
16. The HiPriority checkbox was moved to the Advanced Settings panel.
17. Basic m3u file support was added, with a checkbox to enable it.
18. The Advanced Settings window position is now saved in the settings.
19. The VC6 project import to Visual Studio 2008 was tested.
20. Docs were updated.

---------------------------------------------------------------------------

Beta 0.1.21

1. Moving windows with the main window on unix GTK builds was fixed.
2. Ogg file output was fixed for mono and the 'quality' parameter was
   removed.
3. The "Random" factory setting is now off instead of on.
4. wx builds were tested with wxWidgets release 2.8.6.
5. The Up/Down Arrow keys for list windows was fixed for wx 2.8 builds.
6. The Previous and Next functions now work as expected in the Direct
   mode with ReptPlayed on and Random off.  
7. OSX multiple instances whose names start with "moreamp" (unix) or
   "MoreAmp" (OSX) now work together.
8. OSX builds now all use dir "MoreAmp", not "moreamp" for unix builds.
9. A lock no longer stays on after trying to start GTK builds without a
   display.
10. Holding down the Shift or Alt key when opening a songlist from the
    menu keeps the current settings (instead of that songlist's settings).
11. The VIEW KeyBindings shortcut ('h' by deault) in CLI (no GUI) builds
    now dumps the key shortcut bindings to the terminal.
12. The List Window shortcut ('q' by deault) in CLI (no GUI) builds now
    dumps the songlist to the terminal.
13. A keyboard shortcut to prompt for a songlist index to play has been
    added ('?' by default).
14. The OSX core audio un-pause delay was reduced.
15. An Advanced Settings panel has been added.
16. The closing and re-opening of the sound output channel between songs
    is now an Advanced Settings option.
17. Docs were updated.

---------------------------------------------------------------------------

Beta 0.1.20b // source-only pre-release

1. Moving windows with the main window on unix GTK builds was fixed.
2. Ogg file output was fixed for mono and the 'quality' parameter was
   removed.
3. The "Random" factory setting is now off instead of on.
4. wx builds were tested with wxWidgets release 2.8.6.
5. The Up/Down Arrow keys for list windows was fixed for wx 2.8 builds.
6. The Previous and Next functions now work as expected in the Direct
   mode with ReptPlayed on and Random off.  
7. OSX multiple instances whose names start with "moreamp" (unix) or
   "MoreAmp" (OSX) now work together.
8. OSX builds now all use dir "MoreAmp", not "moreamp" for unix builds.
9. A lock no longer stays on after trying to start GTK builds without a
   display.
10. Holding down the Shift or Alt key when opening a songlist from the
    menu keeps the current settings (instead of that songlist's settings).
11. The VIEW KeyBindings shortcut ('h' by deault) in CLI (no GUI) builds
    now dumps the key shortcut bindings to the terminal.
12. The List Window shortcut ('q' by deault) in CLI (no GUI) builds now
    dumps the songlist to the terminal.
13. A keyboard shortcut to prompt for a songlist index to play has been
    added ('?' by default).
14. Docs were updated.

---------------------------------------------------------------------------

Beta 0.1.20

1. Moving the main window doesn't move the other windows if the right mouse
   button is held down (where mouse+platform allow, Alt key on OS9).
2. A 64-bit compilation fix was applied.
3. Support for wxWidgets-2.8.4 was added.
4. A 'Show Default Sizes' menu item was added.
   Note: Your current makeybindings.txt file will need to be deleted so
   that a new one gets created when you start moreamp, or if you want to
   keep changes you have made to it you can edit it to change the line
       WINDOW SIZES  Alt"X"  Factory"W"  Saved"V", to
   to
       WINDOW SIZES  Alt"X"  Saved"V" Default"W"  Factory")"
   (these are old and new default values).
5. Support for libFLAC versions 1.1.3 to 1.2.0 was added.
6. Docs were updated.

---------------------------------------------------------------------------

Beta 0.1.19c

This is a preliminary mac OSX ppc and intel binary release only.
Sources will be in release 0.1.20.

1. Mac OSX builds no longer fail when making songlists of songs that are
   on the system volume ("Macintosh HD" in default installations; other
   volumes were ok).
2. There are now separate OSX "PPC" and "Intel" binary releases.
3. The OSX MoreAmpN ("Native") binary is now packaged with the OSX MoreAmp
   (wxWidgets) binary release.       
4. Docs were updated.

---------------------------------------------------------------------------

Beta 0.1.19b

This is a preliminary mac-intel binary release only.
Sources will be in release 0.1.20.

1. Now builds and runs natively on Mac OSX Intel platforms.
2. Moving the main window no longer moves the other windows if the right
   mouse button is held down.
3. Alternating window sizes no longer moves the windows if the right
   mouse button is held down.
4. Docs were updated.

1. Now builds and runs natively on Mac OSX Intel platforms.
2. Moving the main window no longer moves the other windows if the right
   mouse button is held down.
3. Alternating window sizes no longer moves the windows if the right
   mouse button is held down.
4. Docs were updated.
---------------------------------------------------------------------------

Beta 0.1.19

1. Moving the main window now also moves the other windows.
2. The file output settings window now has only one position and size,
   instead of a separate position and size for each file output type.
3. When opening a bad wma file, now logs an error instead of crashing.
4. Unix builds now recognize libportaudio built with alsa and jack.
5. Checks for installed libs when configuring for Unix are now enabled.
6. Songname length is now limited to 31 chars only on OS9.
7. Mp2 files are now decoded with the right decoder (libmad).
8. The 'Use Keyboard' setting is now ignored in CLI (no GUI) builds.
9. The 'Autostart' setting is now recognized in CLI builds (except on OS9).
10. 'macunix' builds can now use Sound Manager or Core Audio instead of
    portaudio ('macunix' builds run with a GTK/X11 GUI or a Terminal CLI).
11. An 'Open Recent' menu has been added.
12. The limiter is now reset when a spike from a badly encoded mp3 file
    suddenly causes more than 20dB attenuation.
13. The volume control now has a dB scale, and can be set with the mouse
    wheel (except on OS9 and wxMac-2.4.2), or from the keyboard (you need
    to update the makeybindings.txt file).
14. The mp4 player now uses the first non-zero samplerate in mp4 files that
    have multiple tracks.
15. The semitone spin control now moves the correct slider (wx builds).
16. Three scripts to build moreamp on OSX with wxGTK-2.6.3 built with gtk2
    have been added (in the test dir).
17. The tiny keyboard input widget in the main window has been removed.
    Keyboard shortcuts are now accepted anywhere in the main, list,
    equalizer or effects window.
18. Output file settings imported from older or differently configured
    builds are no longer damaged.
19. Docs were updated.
---------------------------------------------------------------------------

Beta 0.1.18

1. The aac/mp4 libs were updated to faac-1.2.5 and faad2-2.5.
2. The ogg libs were updated to libogg-1.1.3 and libvorbis-1.1.2.
3. The mp3 ecnoding lib was updated to lame-3.97b3.
4. The portaudio lib was updated with pa_snapshot_v19.tar.gz (20060909).
5. The various unix and OSX scripts for building the libs and MoreAmp were
   improved and tested on:
   Mac OSX 10.3.9 with gcc/g++ 3.3, gtk+ 1.2.10 2.10.2 and 2.10.4, and
   wxGTK-2.4.2 and 2.6.3;
   RedHat Linux 9 with gcc/g++ 3.2.2, gtk+ 1.2.10 and 2.10.2, and
   wxGTK-2.4.2 and 2.6.3;
   PPC Ubuntu 6.06 and 6.10 with gcc/g++ 4.0 and 4.1, gtk+ 1.2.10, 2.10.2,
   and 2.10.4, and wxGTK-2.6.3.
6. Checkboxes are now bigger on linux wxGTK-2.6.3 builds.
7. The OSX Native build's readme/catalog viewer was fixed.
8. Docs were updated.
---------------------------------------------------------------------------

Beta 0.1.17

1. The cd reader now works on big-endian linux platforms.
2. On unix, moreamp/README is now make install'ed in the configure
   --datadir, which defaults to [PREFIX/share].
3. The Effects menu item now works ok in native (GTK, OSX) builds.
4. The OSX native build button shortcut labels are visible again (they got
   lost in the previous release). 
5. The OSX native build song currently playing is now centered in the
   loaded list view (was at top).
6. Seeking in FLAC files now works on small intervals.
7. Settings saved with a new version of moreamp now work with previous
   versions of moreamp (as of 0.1.16c, until a new release introduces a
   format change; this release doesn't).
8. The OSX MoreAmp.app release binary is built with wxMac-2.6.3 configured
    --without-libpng. (The OS9 binary is still built with wxMac-2.4.2).
9. The OS9 build no longer takes file dialog key input as key commands.
10. An equalizer code bug was fixed.
11. The elapsed time counter for single channel mp3 files was fixed.
12. The song index number in an error message was fixed.
13. The error log can now be cleared when error logging is off.
14. The OSX drag-and-drop now accepts volumes (disk partitions).
15. The catalog now shows the current state (played/not played) of songs
    in a spnglist, '+1' for played, else '+0'.
16. Menu "Save Song List As" now copies the currently active settings
    instead of the current songlist's last saved settings.
17. The "Insert a CD" prompt is now "Insert an Audio CD".
18. Ths OSX XCode projects are now setup with XCode 1.5 (was 1.2).
19. Building the OSX mp3 player with the 'libs' configure option now
    includes the mad.h file from the libs/libmad/osx dir instead of from
    the installed location (e.g. usr/local/include). A configure dependency
    check for mad.h is no longer commented out. 
20. maPlayFlac.c no longer calls function prng() in maPlayMp3.c.
21. The OS9 build factory settings are now set for slow machines: list
    window off, equalizer off, multiple instances off, keyboard off, direct 
    mode.
22. The keyboard input window is now hidden, or not, to match the keyboard
    setting of newly opened songlists.
23. This CHANGES file is now also included in binary release archives.
24. Docs were updated.
---------------------------------------------------------------------------

Beta 0.1.16c OSX wx build

1. The binary release is now linked with static /usr/local/lib/libpng.a
   so that it runs on systems without /usr/local/lib/libpng.3.dylib.
2. The 0.1.16b patch is applied.
---------------------------------------------------------------------------

Beta 0.1.16b patch for OSX

1. New Info.plist file so that "MoreAmp" appears in "Open With..." menus.
---------------------------------------------------------------------------

Beta 0.1.16

1. Alternate Unix/Linux builds, with GTK+1.2 or GTK+2 instead of wxWidgets,
   are now implemented.
2. Minor gui improvements were made to the OSX native build.
3. Some minor bugs were fixed.
4. Code was cleaned up (on-going).
5. Docs were updated.
---------------------------------------------------------------------------

Beta 0.1.15

1. An alternate OSX build without wxWidgets is now implemented.
2. The unix/linux build was tested with wxGTK-2.6.2.
3. Some keyboard shortcuts are now shown in the main window.
4. Random (shuttle) mode was improved.
5. Some bugs were fixed.
6. Code was cleaned up (on-going).
7. Docs were updated.
---------------------------------------------------------------------------

Beta 0.1.14

1. Keyboard shortcuts are now implemented on all platforms.
2. Keyboard bindings can now be edited within the app.
3. Settings from a previous version (13, 13b) are now recovered.
4. Unix make install/uninstall is now implemented.
5. Some bugs were fixed.
6. Code was cleaned up (on-going).
7. Docs were updated.
---------------------------------------------------------------------------

Beta 0.1.13b

0. This is a src-only release for testing.
   The 'libs' dir is not included, get it from the src-0.1.13 release.
   See https://sourceforge.net/forum/message.php?msg_id=3262644
1. Configurable keyboard shortcuts are now implemented for OSX/wx-2.6.1
   and unix/wx-2.4.2 or 2.6.1.
2. Song index and full path in list window can now be hidden.
3. Horiz scroll bar no longer disappears in small list window.
4. Some other bugs were fixed.
5. Code was cleaned up (on-going).
6. Docs were updated.
---------------------------------------------------------------------------

Beta 0.1.13

1. Now builds with either wxWidgets 2.6.1(stable) or 2.4.2(stable) on OSX,
   Win, and Unix (2.6.1 not tested on OS9). See Status below.
2. A CLI version (no GUI, without wxWidgets) can now be built.
3. An OS9 lockup when paused was fixed.
4. The FileOutput windows' ChangeFolder button was fixed.
5. The unix cdrom settings are now in their own settings file.
6. The 'Window' menu item was changed to 'Show'.
7. Some other bugs were fixed.
8. Code was cleaned up (on-going).
9. Docs were updated.

MoreAmp status with wxWidgets 2.6.1 :
 OS9 : not tested because now wxWidgets 2.6.1 seems to require
       CodeWarrior 8 to build (previously CW6 was ok).
 OSX : the combo boxes (buffer, output, file param selectors) font
       is too big; the catalog viewer's vertical scroller hits bottom
       before the end of large files (see fix in INSTALLmacOSX.txt).
 GTK : No problems found, but text (log, catalog, readme) viewers may
       scroll very slowly to search hits.
 X11 : Text viewers open at end of text, and may scroll very slowly to
       search hits, and mess up search hit text instead of highlighting it.
       (wx-2.4.2/x11 neither highlights nor scrolls to search hits).
 Win : No problems found.

---------------------------------------------------------------------------

Beta 0.1.12

 1. The unix/linux build instructions were simplified.
 2. Configure --without options were added for all decoders and encoders.
 3. Instructions for installing wxWidget-2.4.2 on Mac OSX were added.
 4. FLAC release 1.1.2 is now used (was 1.1.0).
 5. A help menu item was added to view the README file.
 6. Tools menu items were added to view the log and catalog files.
 7. Flac, Ogg, Mp4 and Wma tags are now displayed.
 8. Narrower eq window now fits in 800-wide screen.
 9. Drag and drop now works on windows, not just on the app icon.
10. Less cpu usage, the gui now sleeps instead of idle looping.
11. MacOS9 moreamp is now only Carbon, 'MoreAmp Classic' is dropped.
12. On unix moreamp can now be 'installed' and the settings files are in
    the user's home dir.
13. Multiple instances can be disabled.
14. Some bug fixes.
15. Code was cleaned up (on-going).
16. Docs were updated.
---------------------------------------------------------------------------

Beta 0.1.11

1. The cd reader on unix/linux is now functional, using cdparanoia.

2. Minor enhancements:
   The tempo and speed slider now range from ".5x" to "2x" instead of "?%".
   Credits in the About screen are now listed only for the libraries
   actually used in the configuration.

3. Minor bug fixes.

4. Code was cleaned up (on-going).

5. Docs were updated.
---------------------------------------------------------------------------

Beta 0.1.10

1. Major enhancements.
   On MacOS9 : Wma decoding, Ogg and Flac encoding, and Mp3 encoding when
   built from the src distribution, are now functional.
   A linux build is now functional (tested on RedHat 9.0 i686 on Virtual PC
   on iMac OSX).
   Error logging can be turned off, or left on with a 100-error limit that
   stops the player.
   Portaudio V19 is now used instead of V18, for unix and optionally for
   mac and win.

2. Some bugs were fixed.
   The configure script and code were fixed for the linux build.
   Loaded aif and wav files now play from memory instead of from disk.
   Effects checkboxes now work as expected when several are checked.
   Popup prompts on Mac are now stable.
   The mp3 preamp gain now reverts to normal when the limiter is turned
   off while playing.

3. Code was cleaned up (on-going).

4. Docs were updated.
---------------------------------------------------------------------------

Beta 0.1.9

1. There are now stubs for the unix cd functions so a unix build should be
   ok without the --without-cdreader option, although the unix cd reader is
   not yet done.

2. Lame release 3.96.1 is now used (was 3.95.1).

3. Some bugs were fixed.
   The volume controls no longer affect the system master volume.
   The equalizer now adapts to sample rates other than 44100.
   Loaded FLAC files now play from memory instead of from disk.
   The dir selector in OSX now works correctly. 

4. Code was cleaned up (on-going).

5. Docs were updated.
   Win32 build instructions were simplified.
---------------------------------------------------------------------------

Beta 0.1.8

1. Some bugs were fixed.
   Occasional clicks and pops at the start of a cd track are removed.
   Elapsed time and duration are now correct for large wav/aif files (win).
   Some configure options were changed (--with-portaudio, --with-macunix).
   Working dir path was changed (unix).

2. Code was cleaned up (on-going).

3. Docs were updated.
---------------------------------------------------------------------------

Beta 0.1.7b

This is a src patch release with some fixes for building MoreAmp under
unix/linux.
---------------------------------------------------------------------------

Beta 0.1.7

1. Code was cleaned up (on-going).

2. Docs were updated.
---------------------------------------------------------------------------

Beta 0.1.6b

1. MacOS9 Pause bug fixed and MacOS9 binary (only) released.

---------------------------------------------------------------------------
Beta 0.1.6

1. Some bugs were fixed.
   The effects now work for mono.
   The pitch effect range is now limited to 4 octaves.
   The effects sliders and spin controls are now updated individually.
   The position slider now moves when filling a virtual disk.
   Calls to MessageBox were changed to avoid lockups.
   Song files no longer occasionally lose the last few frames.
---------------------------------------------------------------------------

Beta 0.1.5b

1. MacOS9 effects bug fixed and MacOS9 binary (only) released.
---------------------------------------------------------------------------

Beta 0.1.5

1. Variable pitch, tempo, and speed effects were added.

2. 'About' credits for SoundTouch (for effects above) were added.

3. Buffer size in Vdisk mode is now changeable by 1 instead of by 16.

4. Some bugs were fixed.
   Drag-n-dropping a small list while playing a larger list in random mode
   now ok. 
 
5. Code was cleaned up (on-going).

6. Docs were updated.  
---------------------------------------------------------------------------

Beta 0.1.4

1. Improvements were made on AAC and MP4 play and write.

2. Configure option --without-mp4v2enc was added to disable mp4 encoding
   but keep mp4 decoding.

3. Useless context help was removed.

4. An mp3 output sampling rate selector was added.

5. Random file selection was improved, large files now get equal
   probability of being loaded.

6. Buffer size can now be changed without stopping the player.

7. MacOS and Win32 drag-n-drop now accepts a songlist, or multiple objects.

8. MacOS9 Debug projects now build ok.

9. Some bugs were fixed.
   MP4 output files were opened twice instead of once and remained open.
   AAC and MP4 output sample rate is now set to match input sample rate
   instead of fixed at 44100 (seem to still have problems at sample rates <
   32000).

11. Code was cleaned up (on-going).

12. Docs were updated.  
---------------------------------------------------------------------------

Beta 0.1.3

1. AAC and MP4 play and write are functional.

2. Some were bugs fixed.

3. Code was cleaned up (on-going).

4. Docs were updated.

---------------------------------------------------------------------------
Beta 0.1.2b

1. MacOS9 equalizer bug fixed and MacOS9 binary (only) released.
---------------------------------------------------------------------------

Beta 0.1.2

1. MoreAmp should now build on unix X11/GTK systems. See INSTALLunix.txt.

2. Added to configure.in :
 --without-cdreader
 --with-mp4v2 (=libdir(default) or =system)
 --with-macunix (for testing 'unix' builds on MacOSX with X11/GTK and
   portaudio)
 --with-xxx=libdir instead of --with-xxx=local (--with-xxx=system means
   /usr/local)

3. Updated libfaac from 1.23.5 to 1.24

4. AAC and MP4 play/write is still not finished.
   Keep an eye on Log.txt when playing with this.

5. Some minor were bugs fixed.

6. Docs were updated.
---------------------------------------------------------------------------

Beta 0.1.1

Initial release

---------------------------------------------------------------------------
eof
